<script src="{$wa_app_static_url}js/prices.js?v={$wa->version()}" type="text/javascript"></script>
{$select_ceny = ''}
{foreach $Pricing->getPrices() as $k => $v}
{if $v->getType()!='value'}
{$val = '{'}
{$val1 = '}'}
{$val = "`$val``$k``$val1`"}

{$select_ceny =
"`$select_ceny`<option value=\"`$val`\">{$v->getName()}</option>"}
{/if}
{/foreach}
<script type="text/javascript">

    function typev(id) {
        var valtype = $("#"+id+"").val();
        var nelem = $("#"+id+"").next().attr('id');
        var cls = $("#"+id+"").attr('class');
        if(valtype=="koef") {
            $('#'+id+'').remove();
            $("#"+nelem+"").before(" <input name='formula[]' type='text' class='"+cls+"' id='"+id+"' style='width: 30px;' onblur=\"typev(this.id)\">");
        }
        if(valtype=="") {
            $('#'+id+'').remove();
            $("#"+nelem+"").before('<select name="formula[]"  class="'+cls+'"  id="'+id+'" onChange="typev(this.id);">' +
                    '{$select_ceny}'+
                    '<option value="koef">задать коэфф</option>' +
                    '</select>');
        }
    }
    function show(id) {
        $('.price-rounding').show();
        if (id == 'generate.ratio' || id=='save.ratio') {
            $('#koef').html('<input name="koef" type="text">');
            $('#koef').show();
            $('#formula').hide();
        } else if(id=='value') {
            $('#koef').hide();
            $('#formula').hide();
        } else if(id=='delimiter') {
            $('#koef').hide();
            $('#formula').hide();
            $('.price-rounding').hide()
        } else {
            $('#koef').html(" ");
            $('#koef').hide();
            $('#formula').show();
        }
    }
    function dobavit() {
        if($("a").hasClass("udalit")) {
            var uid = $('.udalit').attr('id');
            var plusid =$(".udalit").prev().attr('id');
            var plusid = plusid.replace(/s/,'');
            plusid = parseInt(plusid);
            var id = uid.replace(/u/,'');
            id = parseInt(id);
            nid = id+1;
            $(".udalit").before("<select name='formula[]' class='u"+nid+"' id='s"+plusid+1+"'><option value='+'>+</option><option value='-'>-</option><option value='*'>*</option><option value='/'>/</option></select><input name='formula[]' type='text' class='u"+nid+"' id='s"+plusid+2+"' style='width: 30px;' onblur=\"typev(this.id)\">");
            $(".udalit").attr("id", "u"+nid+"");
        } else {
            $("#dobavit").before(" <select name='formula[]' class='u0' id='s4'><option value='+'>+</option><option value='-'>-</option><option value='*'>*</option><option value='/'>/</option></select><input name='formula[]' type='text' class='u0' id='s5' onblur=\"typev(this.id)\"  style='width: 30px;'><a onclick='udalit(this.id)' id='u0' class='udalit'><i class='icon16 delete'></i></a>");
        }
    }
    function udalit(id) {
        var uid = id.replace(/u/,'');
        if(uid=="0") {
            $('.'+id+'').remove();
            $('#'+id+'').remove();
        } else {
            uid = parseInt(uid);
            nid = uid-1;
            $(".udalit").attr("id", "u"+nid+"");
            $(".udalit").removeClass(id);
            $(".udalit").attr("id", "u"+nid+"");
            $(".udalit").addClass("u"+nid);
            $('.'+id+'').remove();
        }
    }
</script>

<form action="?module=marginProduct&action=save" method="post" id="form" class="form-margin-save">
    <table  border="0" cellpadding="5" class="light" style="width: 800px;">
        <tr>
            <td>Название</td>
            <td><input name="name" type="text" value="{if $price}{$price->getName()}{/if}">
                {if $price && $price->isUpdate()}
                <a href="#" class="button red price-update-prices" data-id="{$price->getId()}">Обновить цены</a>
                {/if}
                {if $price}<input name="id" type="hidden" value="{$price->getId()}">{/if}</td>
        </tr>
        <tr>
            <td>Тип</td>
            <td>
                <select name="type" onChange="show(this.value)">
                    <optgroup label="Генерируемые типы">
                        <option value="generate.ratio"
                                {if $price && $price->getType()=='generate.ratio'}
                            selected
                            {/if}
                        >Коэффициент</option>
                        <option value="generate.formula"
                                {if $price && $price->getType()=='generate.formula'}
                            selected
                            {/if}
                        >Формула</option>
                    </optgroup>
                    <optgroup label="Хранимые типы с ручным обновлением">
                        <option value="save.ratio"
                                {if  $price && $price->getType()=='save.ratio'}
                            selected
                            {/if}
                        >Коэффициент</option>
                        <option value="save.formula"
                                {if $price && $price->getType()=='save.formula'}
                            selected
                            {/if}
                        >Формула</option>
                    </optgroup>
                    <option value="value"
                            {if $price && $price->getType()=='value'}
                        selected
                        {/if}
                    >Произвольное значение</option>
                    <option value="delimiter"
                            {if $price && $price->getType()=='delimiter'}
                        selected
                        {/if}
                        >Разделитель</option>
                </select>
                <div id="koef" {if ($price && $price->isFormula()) || ($price && $price->getType()=='delimiter')} style="display:none;"  {/if}>
                    {if !$price || ($price && !$price->isFormula())}
                    <input name="koef" type="text" {if $price}value="{$price['koef']}"{/if}>
                    {/if}
                </div>
                <div id="formula"  {if !$price || (($price && !$price->isFormula()) ||  $price->getType()=='delimiter') } style="display:none;" {/if}>

                    {if $price && $price->isFormula() && $price->getFormula()}
                    {$formula = $price->getFormula()}
                    {$grup_opcii = 0}
                    {$stupen_opcii = 0}
                    {foreach $formula as $ok => $ov}
                        {if  $ok<3}
                            {if preg_match(base64_decode('L3soXGQqKX0v'), $ov, $ids)}
                             <select name="formula[]"  id="s{$ok}" onChange="typev(this.id);">
                            {foreach $Pricing->getPrices() as $k=> $v}
                            {$val = '{'}
                            {$val1 = '}'}
                            {$val = "`$val``$k``$val1`"}
                            <option value="{$val}" {if $ids[1]==$k} selected="selected"{/if}>{$v->getName()}</option>
                            {/foreach}
                            <option value="koef">задать коэфф</option>
                             </select>
                            {elseif preg_match('@\+|-|\*|/@', $ov,$idm)}
                              <select name="formula[]"  id="s{$ok}" onChange="typev(this.id);"> <option value="+" {if $ov=='+'} selected="selected" {/if}>+</option>
                            <option value="-"  {if $ov=='-'} selected="selected" {/if}>-</option>
                            <option value="*"  {if $ov=='*'} selected="selected" {/if}>*</option>
                            <option value="/"  {if $ov=='/'} selected="selected" {/if}>/</option>
                             </select>
                            {else}
                            <input name="formula[]" type="text" value="{$ov}"  style="width: 30px;"  id="s{$ok}" onblur="typev(this.id)">
                            {/if}
                        {else}
                            {if preg_match(base64_decode('L3soXGQqKX0v'), $ov, $ids)}
                                <select name="formula[]"  class="u{$stupen_opcii}"  id="s{$ok}" onChange="typev(this.id)">
                                {foreach $Pricing->getPrices() as $k=> $v}
                                    {$val = '{'}
                                    {$val1 = '}'}
                                    {$val = "`$val``$k``$val1`"}
                                    <option value="{$val}"{if $ids[1]==$k} selected="selected"{/if}>{$v->getName()}</option>
                                {/foreach}
                                <option value="koef">задать коэфф</option>
                            </select>
                            {elseif preg_match('@\+|-|\*|/@', $ov,$idm)}
                                <select name="formula[]"  class="u{$stupen_opcii}"  id="s{$ok}" onChange="typev(this.id)">
                                <option value="+" {if $idm[0]=="+"} selected="selected"{/if}>+</option>
                                <option value="-" {if $idm[0]=="-"} selected="selected"{/if}>-</option>
                                <option value="*" {if $idm[0]=="*"} selected="selected"{/if}>*</option>
                                <option value="/" {if $idm[0]=="/"} selected="selected"{/if}>/</option>
                            </select>
                            {else}
                                <input name="formula[]" type="text" value="{$ov}"  style="width: 30px;" class="u{$stupen_opcii}"  id="s{$ok}" onblur="typev(this.id)">
                            {/if}
                            {if $grup_opcii == 0}
                            {$stupen_opcii = $stupen_opcii+1}
                            {/if}
                        {/if}
                        {if $grup_opcii == 0}
                            {$grup_opcii = 1}
                        {else}
                            {$grup_opcii = 0}

                        {/if}

                    {/foreach}
                    {$stupen_opcii = $stupen_opcii-1}
                    {if $stupen_opcii>1}
                    <a onclick="udalit(this.id)" id="u{$stupen_opcii--}" class="udalit u{$stupen_opcii--}"><i class="icon16 delete"></i></a>
                    {/if}
                    {else}
                        <input name="formula[]" type="text"  style="width: 30px;" id="s0" onblur="typev(this.id)">
                        <select name="formula[]" id="s1">
                            <option value="+">+</option>
                            <option value="-">-</option>
                            <option value="*">*</option>
                            <option value="/">/</option>
                        </select>
                        <input name="formula[]" type="text" style="width: 30px;" id="s2" onblur="typev(this.id)">

                    {/if}
                    <a onclick="dobavit()" id="dobavit"><i class="icon16 add"></i></a>



                </div>
                </td>
            </tr>

        <tr  {if $price && $price->getType()=='delimiter'} style="display:none;" {/if} class="price-rounding">
            <td>Округление цен <input type="checkbox" value="1" name="round" {if !empty($price['round'])} checked {/if}></td>
            <td><select name="round_to">
                <option value="5"  {if $price['round_to']=='5'} selected{/if} >5</option>
                <option value="10"  {if $price['round_to']=='10'} selected{/if}>10</option>
                <option value="25"  {if $price['round_to']=='25'} selected{/if}>25</option>
                <option value="50"   {if $price['round_to']=='50'} selected{/if}>50</option>
                <option value="100"   {if $price['round_to']=='100'} selected{/if}>100</option>
                <option value="250"   {if $price['round_to']=='250'} selected{/if}>250</option>
                <option value="500"   {if $price['round_to']=='500'} selected{/if}>500</option>
                <option value="1000"   {if $price['round_to']=='1000'} selected{/if}>1 000</option>
                <option value="2500"   {if $price['round_to']=='2500'} selected{/if}>2 500</option>
                <option value="5000"   {if $price['round_to']=='5000'} selected{/if}>5 000</option>
                <option value="10000"   {if $price['round_to']=='10000'} selected{/if}>10 000</option>
            </select> <input type="checkbox" value="1" name="round_type" {if !empty($price['round_type'])} checked {/if}>Принудительно округлять в большую сторону
            </td>
        </tr>

        <tr>
            <td>&nbsp;</td>
            <td><input type="submit" value="Ok"><span class="form-save-ststus"></span>
            </td>
        </tr>
    </table>
    </form>
<script type="text/javascript">
    $(document).ready(function () {
        $('.form-margin-save').submit(function () {
            var f = $(this);
            var success = function(response) {
                if (response.status == 'ok') {
                    var status = $('.form-save-ststus');
                    status.html('Сохранено!');
                    status.show();
                    setTimeout(function(){
                        status.hide(1500);
                        status.empty();
                        status.hide();
                    }, 1000);
                } else {
                    alert(response.errors.join(','));
                }
            };
            $.post(f.attr('action'), $(this).serialize(),success, 'json');
            return false;
        });
    });
</script>
